## cloud-info-provider-0.11.0.tar.gz

=== requirements.txt ===
Mako
PyYAML
six
pbr
defusedxml
requests
pyOpenSSL
stevedore
# For OpenStack
#python-keystoneclient
#python-novaclient
#python-glanceclient
#keystoneauth1

=== debian/changelog ===
python-cloud-info-provider (0.11.0-1) xenial; urgency=medium

  * Split OpenStack and OOI providers. (Enol Fernandez)
  * Fix os_tpl identifier for OpenNebula with rOCCI. (Boris Parak)
  * Clarify usage of project ID in configuration file. (Pablo Orviz)
  * Review and update output to implement latest GLUE2.1 updates. (Enol Fernandez, Baptiste Grenier)
  * Extract information from the GOCDB. (Enol Fernandez)
  * Add debug switch. (Enol Fernandez)
  * Clean up documentation. (Enol Fernandez)
  * Use stevedore module to load code extensions. (Pablo Orviz)
  * Document release management. (Baptiste Grenier)

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Sun, 27 Jan 2019 19:34:33 +0100

python-cloud-info-provider (0.10.3-1) xenial; urgency=medium

  * Update dependencies.

 -- Enol Fernández <enol.fernandez@egi.eu>  Wed, 09 Jan 2019 13:45:33 +0100

python-cloud-info-provider (0.10.2-1) xenial; urgency=medium

  * Version bump.

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 15 Oct 2018 21:55:03 +0200

python-cloud-info-provider (0.10.0-1) xenial; urgency=medium

  [ Alvaro Lopez ]
  * Integrate badges from shields.io.
  * Integrate coveralls.io.

  [ Enol Fernandez ]
  * Improve and cleanup configuration files.

  [ Pablo Orviz ]
  * Import a Jenkinsfile to handle SQA on Jenkins at IFCA.

  [ Ruben Diez ]
  * Fix utf-8 output for OpenNebula.

  [ Bruce Becker ]
  * Integrate with Zenodo.

  [ Baptiste Grenier ]
  * Introduce CMF-specific metapackages to deploy required dependencies.
  * Allow filtering private flavors.
  * Improve community health following discussions with Bruce Becker and al.
  * Use travis to lint, test, build and upload pacakges.

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 01 Oct 2018 19:21:03 +0200

python-cloud-info-provider (0.9.1-1) xenial; urgency=medium

  [ Enol Fernandez ]
  * OCCI is optional, do not fail if no OCCI endpoint is present.

  [ Baptiste Grenier ]
  * Updated organization name in documentation

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 30 Apr 2018 10:51:03 +0200

python-cloud-info-provider (0.9.0-1) xenial; urgency=medium

  [ Alvaro Lopez ]
  * Use keystoneauth and v3 API (OS provider)
  * OpenStack Identity API v2.0 isn't supported anymore

  [ Boris Parak ]
  * Fix entry updates for ApplicationEnvironment

  [ Baptiste Grenier ]
  * Updated package building and documentation

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Fri, 30 Mar 2018 17:51:03 +0200

python-cloud-info-provider (0.8.4-1) xenial; urgency=medium

  [ Boris Parak ]
  * Add support for rOCCI-server v2

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Tue, 03 Oct 2017 15:22:03 +0100

python-cloud-info-provider (0.8.3-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * defusedxml is required only for OpenNebula provider

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Tue, 04 Jul 2017 16:59:03 +0100

python-cloud-info-provider (0.8.2-1) xenial; urgency=medium

  [ Boris Parak ]
  * Fix deep hash lookup (ON provider)

  [ Andre Gemuend ]
  * Optionally use the version entry from vmcatcher as image_version (OS provider)

  [ Baptiste Grenier ]
  * Fix bandit usage to search for security issues when using tox
  * Use defusedxml to parse XML and fix bandit warnings (ON provider)
  * Misc documentation and packages building fixes

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Tue, 04 Jul 2017 16:34:03 +0100

python-cloud-info-provider (0.8.1-1) xenial; urgency=medium

  [ Boris Parak ]
  * Support for containerized Travis-CI

  [ Baptiste Grenier ]
  * Document RPM and Deb creation
  * Fix deb creation on Xenial

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Wed, 07 Jun 2017 10:55:03 +0100

python-cloud-info-provider (0.8.0-1) xenial; urgency=medium

  [ Boris Parak ]
  * Require a endpoint_url to be set for compute endpoints
  * Updated OpenNebula provider

  [ Alvaro Lopez Garcia and Enol Fernandez ]
  * Add disk size as OtherInfo of Resource templates

  [ Baptiste Grenier ]
  * Usage of a single template for storage info

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 29 May 2017 17:00:03 +0100

python-cloud-info-provider (0.7.0-1) trusty; urgency=medium

  [ Baptiste Grenier ]
  * [e4bfaba] openstack provider: return info about images, not templates. Return docker info. No more return vmcatcher stuff
  * [71ec791] Import some JSON output templates.
  * [e5d588b] Import some more JSON output templates.
  * [3bc9b03] core: add a parameter for the template extension
  * [0f925c2] opennebula provider: add defaults for docker stuff
  * [4c3edd3] core: add IndigoComputeBDII to test/implement INDIGO-specific stuff
  * [859b8f0] opennebula provider: fix access to image id
  * [9dab022] core: fix JSON formatting.
  * [edc3629] json templates: remove coma after last element
  * [ea4ce02] core: fix for pep8.
  * [fe8d963] opennebula provider: add a get_templates method.
  * [733a9d2] opennebula provider: Fix for pep8
  * [3591e5e] execution_environment json: add template name and descriptions.
  * [119985a] test core: add template_extension parameter
  * [593cc46] core: use json by default.
  * [1b83e76] opennebula provider: customized code only into the OpenNebula provider.
  * [c205862] opennebula provider: move customized code to an OpenNebulaIndifo provider.
  * [f3ef95e] core tests: also test cloud_bdii.core.IndigoComputeBDII.
  * [5a46ee0] test core: use selected template format.
  * [3644ca3] templates: import draft for an indigo.json template.
  * [0de183d] core: load all classes to fix tests
  * [f0f2825] test core: add test for IndigoComputeBDIITest class.
  * [e18d4cf] opennebula provider: rename OpenNebulaIndigoProvider
  * [ca18dff] core: add opennebulaindigo provider
  * [c7ec5b2] core: we should not care of legacy classes
  * [843f93f] core: no more load other BDII classes
  * [a7a23a3] test core: only IndigoComputeBDII should be called.
  * [76b6367] test core: document BDII class tested.


=== debs/cloud-info-provider-opennebula/debian/changelog ===
python-cloud-info-provider-opennebula (0.11.0-1) xenial; urgency=medium

  * Fix os_tpl identifier for OpenNebula with rOCCI. (Boris Parak)
  * Review and update output to implement latest GLUE2.1 updates. (Enol Fernandez, Baptiste Grenier)

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Sun, 27 Jan 2019 19:34:33 +0100

python-cloud-info-provider-opennebula (0.10.3-1) xenial; urgency=medium

  * Update dependencies.

 -- Enol Fernández <enol.fernandez@egi.eu>  Wed, 09 Jan 2019 13:45:33 +0100

python-cloud-info-provider-opennebula (0.10.2-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * Bump version.

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 15 Oct 2018 21:55:03 +0200

python-cloud-info-provider-opennebula (0.10.0-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * Bump version.

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 01 Oct 2018 19:21:03 +0200

python-cloud-info-provider-opennebula (0.9.1-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * First release, numbering aligned to cloud-info-provider package

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Wed, 20 Jun 2018 10:42:42 +0200

=== debs/cloud-info-provider-openstack/debian/changelog ===
python-cloud-info-provider-openstack (0.11.0-1) xenial; urgency=medium

  * Split OpenStack and OOI providers. (Enol Fernandez)
  * Review and update output to implement latest GLUE2.1 updates. (Enol Fernandez, Baptiste Grenier)

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Sun, 27 Jan 2019 19:34:33 +0100

python-cloud-info-provider-openstack (0.10.3-1) xenial; urgency=medium

  * Update description.

 -- Enol Fernández <enol.fernandez@egi.eu>  Wed, 09 Jan 2019 13:45:33 +0100

python-cloud-info-provider-openstack (0.10.2-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * Bump version.

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 15 Oct 2018 21:55:03 +0200

python-cloud-info-provider-openstack (0.10.0-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * Bump version.

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Mon, 01 Oct 2018 19:21:03 +0200

python-cloud-info-provider-openstack (0.9.1-1) xenial; urgency=medium

  [ Baptiste Grenier ]
  * First release, numbering aligned to cloud-info-provider package

 -- Baptiste Grenier <baptiste.grenier@egi.eu>  Thu, 21 Jun 2018 10:42:42 +0200

=== debian/control ===
Source: python-cloud-info-provider
Section: net
Priority: extra
Maintainer: EGI Federated Cloud <fedcloud-devel@mailman.egi.eu>
Homepage: http://github.com/EGI-Federation/cloud-info-provider
Build-Depends:
 debhelper (>= 7.0.50),
 dh-python,
 python-all (>= 2.7),
 python-all-dev (>= 2.7)
Build-Depends-Indep:
 python-pbr (>= 0.6),
 python-setuptools
Standards-Version: 3.9.6
Vcs-Git: https://github.com/EGI-Federation/cloud-info-provider.git

Package: python-cloud-info-provider
Architecture: all
Section: python
Depends:
 ${python:Depends},
 ${misc:Depends},
 python,
 python-yaml,
 python-mako,
 python-six,
 python-defusedxml,
 python-requests,
 python-stevedore,
# this is implicit in python-requests, but still want to keep it explicit
 python-openssl
#Recommends: bdii
Suggests: python-cloud-info-provider-openstack, python-cloud-info-provider-opennebula
Provides: ${python:Provides}
Description: Cloud information provider for BDII.
 Information provider for Cloud Compute and Cloud Storage services.
 .
 It supports static information specification, OpenNebula and OpenStack cloud
 middleware.
 By default the provider uses GLUE 2.0 EGI Cloud Profile to publish the
 information, but custom format can be created.

=== debs/cloud-info-provider-opennebula/debian/control ===
Source: python-cloud-info-provider-opennebula
Section: net
Priority: extra
Maintainer: EGI Federated Cloud <fedcloud-devel@mailman.egi.eu>
Homepage: http://github.com/EGI-Foundation/cloud-info-provider
Build-Depends:
 debhelper (>= 7.0.50)
Standards-Version: 3.9.6
Vcs-Git: https://github.com/EGI-Foundation/cloud-info-provider.git

Package: python-cloud-info-provider-opennebula
Architecture: all
Section: python
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-cloud-info-provider (>= 0.9.1),
 python-defusedxml
Provides: ${python:Provides}
Description: Cloud information provider meta-pacakge for OpenNebula.
 .
 OpenNebula-specific meta-package for Information provider for Cloud Compute and
 Cloud Storage services.
 Install the cloud-information-provider and the Cloud Middleware dependencies.

=== debs/cloud-info-provider-openstack/debian/control ===
Source: python-cloud-info-provider-openstack
Section: net
Priority: extra
Maintainer: EGI Federated Cloud <fedcloud-devel@mailman.egi.eu>
Homepage: http://github.com/EGI-Foundation/cloud-info-provider
Build-Depends:
 debhelper (>= 7.0.50)
Standards-Version: 3.9.6
Vcs-Git: https://github.com/EGI-Foundation/cloud-info-provider.git

Package: python-cloud-info-provider-openstack
Architecture: all
Section: python
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-cloud-info-provider (>= 0.9.1),
 python-novaclient,
 python-glanceclient,
 python-keystoneauth1
Provides: ${python:Provides}
Description: Cloud information provider meta-pacakge for OpenStack.
 .
 OpenStack-specific meta-package for Information provider for Cloud Compute and
 Cloud Storage services.
 Install the cloud-information-provider and the Cloud Middleware dependencies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Verbose mode
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM=pysupport
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- --single-version-externally-managed

=== debs/cloud-info-provider-opennebula/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- --single-version-externally-managed
